<?php
/**
 * Default Theme functions and definitions
 */

require_once('inc/init.php');
require_once('inc/shortcode.php');
require_once('inc/widgets.php');
require_once('inc/acf.php');

define( 'FRONTPAGEID', get_option( 'page_on_front' ));
define( 'OPTIONSID', 'options');

add_action( 'wp_enqueue_scripts', 'child_theme_scripts' );
function child_theme_scripts() {
	wp_enqueue_style( 'parent-style', get_template_directory_uri().'/style.css' );
    wp_enqueue_style( 'child-icons', get_stylesheet_directory_uri().'/assets/icons.css', false, '1.0', 'all' );
    wp_enqueue_style( 'child-slick-style', get_stylesheet_directory_uri().'/assets/css/slick.min.css', false, '1.0', 'all' );
    wp_enqueue_style( 'child-style-skin', get_stylesheet_directory_uri().'/assets/css/skin.css', false, '1.0', 'all' );
    wp_enqueue_style( 'child-style', get_stylesheet_directory_uri().'/style.css', false, '1.0', 'all' );
	wp_enqueue_script('child-jqueryui-js', get_stylesheet_directory_uri().'/assets/js/bootstrap.min.js', array('jquery'), false, true );
    wp_enqueue_script('child-slick-js', get_stylesheet_directory_uri().'/assets/js/slick.min.js', array('jquery'), false, true );
    wp_enqueue_script('child-wow-js', get_stylesheet_directory_uri().'/assets/js/wow.min.js', array('jquery'), false, true );
    wp_enqueue_script( 'child-script', get_stylesheet_directory_uri().'/assets/js/function.js', array('jquery'), false, true );
    wp_enqueue_script( 'child-script-init', get_stylesheet_directory_uri().'/assets/js/wow-init.js', array('jquery'), false, true );
	
}

add_action( 'wp_print_styles', 'child_dequeue_style', 100 );
function child_dequeue_style() {
    wp_dequeue_style( 'twentytwenty-style' );
}

add_action( 'customize_register', 'child_customize_register', 11 );
function child_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'colors' );
    $wp_customize->remove_section( 'cover_template_options' );
}
?>