<?php
// Define path and URL to the ACF plugin.
//define( 'MY_ACF_PATH', get_stylesheet_directory() . '/includes/acf-pro/' );
//define( 'MY_ACF_URL', get_stylesheet_directory_uri() . '/includes/acf-pro/' );
define( 'MY_ACF_PATH_LOCAL', get_stylesheet_directory() . '/inc/acf-local/' );
define( 'MY_ACF_URL_LOCAL', get_stylesheet_directory_uri() . '/inc/acf-local/' );

// Include the ACF plugin.
//include_once( MY_ACF_PATH . 'acf.php' );

// Customize the url setting to fix incorrect asset URLs.
//add_filter('acf/settings/url', 'my_acf_settings_url');
//function my_acf_settings_url( $url ) {
//    return MY_ACF_URL;
//}

// (Optional) Hide the ACF admin menu item.
//add_filter('acf/settings/show_admin', '__return_false');

// When including the PRO plugin, hide the ACF Updates menu
//add_filter('acf/settings/show_updates', '__return_false', 100);

// Register groups/fields
if( function_exists('acf_add_local_field_group') ) :
	include_once( MY_ACF_PATH_LOCAL . 'block-buttons.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-contenttext.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-ctabox.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-heading.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-image.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-testimonials.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-design-bg.php' );
	include_once( MY_ACF_PATH_LOCAL . 'block-advanced.php' );
endif;

if( function_exists('acf_add_options_page') ) {
    $parent = acf_add_options_page(array(
        'page_title'    => 'Theme Options Panel',
        'menu_title'    => 'Theme Options Panel',
        'menu_slug'     => 'theme-general-settings',
        'capability'    => 'edit_posts',
        'redirect'      => false,
        'position'    => 60
    ));
    $child = acf_add_options_sub_page(array(
        'page_title'  => __('Global: Footer Builder'),
        'menu_title'  => __('Global: Footer Builder'),
        'parent_slug' => $parent['menu_slug'],
    ));
}
if( class_exists('acf') ):

	add_action('content-row-sections','content_row_sections', 10, 2);
	function content_row_sections($id){
		$content_flexible_sections_wrapper = $id !== 'option' ? get_post_meta( $id, 'content_flexible_sections_wrapper_lp', true ) : get_option('options_content_flexible_sections_wrapper_lp');

		if( $content_flexible_sections_wrapper ):
			for ( $z = 0; $z < count($content_flexible_sections_wrapper); $z++ ) {
				$rowcontainer = $content_flexible_sections_wrapper[$z];
				switch ( $rowcontainer ) {
					case 'row_container':
						sectioncontent($id, "content_flexible_sections_wrapper_lp_".$z."_");
						break;
					case 'global_container':
						if($id == 'option'){
							$z = 0;
							sectioncontent(get_option('options_content_flexible_sections_wrapper_lp_'.$z.'_library_selection'), "");
						}else{
							$id = get_post_meta(get_the_id(), 'content_flexible_sections_wrapper_lp_'.$z.'_library_selection', true);
							sectioncontent($id, "");
						}
						break;
				}
			}
		endif;
	}
endif;

function sectioncontent($id, $wrapper){
	//$content_flexible_sections = get_post_meta( $id, $wrapper.'content_flexible_sections', true );
	$content_flexible_sections = 1; //echo $wrapper; print_r(get_post_meta( $id));
	if( $content_flexible_sections ):

		for ( $i = 0; $i < $content_flexible_sections; $i++ ) {
			$section = $wrapper.'content_flexible_sections_'.$i;
			$identifier = get_post_meta($id, $section.'_advanced_identifier', true);
			$additional_css_classes = get_post_meta($id, $section.'_advanced_additional_css_classes', true);
			$html_anchor = get_post_meta($id, $section.'_advanced_html_anchor', true);

			$sec_row_id = '';

			if($identifier) $sec_row_id = 'id="'.$identifier.'"';

			$sec_row_cls = 'sec-row sec-row-'.$i.'-page-'.get_the_ID().' '.$additional_css_classes;
			$sec_row_cls = 'class="'.$sec_row_cls.'"';

			$content_wide = get_post_meta($id, $section.'_content_wide', true);
			$content_wide = $content_wide ? $content_wide : 'container';

			$sec_style = '';

			$rowbg = $section.'_row_bg_';
			$bgcolor = get_post_meta($id, $rowbg.'color', true);
			$bg_opacity = get_post_meta($id, $rowbg.'opacity', true);
			$bgimg = get_post_meta($id, $rowbg.'image', true);
			if($bgimg) $bgimg = wp_get_attachment_image_src( $bgimg, 'full', false)[0];
			$bgpos = get_post_meta($id, $rowbg.'position', true);
			$bgrepeat = get_post_meta($id, $rowbg.'repeat', true);
			$bgsize = get_post_meta($id, $rowbg.'size', true);
			$bgparallax = get_post_meta($id, $rowbg.'parallax_background', true);

			if($bgcolor) $sec_style .= 'background-color:'.$bgcolor.';';
			if($bgimg) $sec_style .= 'background-image:url('.$bgimg.');';
			if($bgimg && $bgpos) $sec_style .= 'background-position:'.$bgpos.';';
			if($bgimg && $bgrepeat) $sec_style .= 'background-repeat:'.$bgrepeat.';';
			if($bgimg && $bgsize) $sec_style .= 'background-size:'.$bgsize.';';
			if($bgimg && $bgparallax) $sec_row_cls .= ' bg-is-fixed';

			if($bgcolor || $bgimg)
				$sec_style = 'style="'.$sec_style.'"';

			printf('<section %s %s %s>', $sec_row_id, $sec_row_cls, $sec_style);

				if($html_anchor) printf('<span id="%s" class="section-anchor" aria-hidden="true"></span>', $html_anchor);

				if($bgimg && $bg_opacity):
					printf('<div class="sec-bg-opacity" style="background-color:%s;opacity:%s;" aria-hidden="true"></div>', $bgcolor, $bg_opacity);
				endif;

				printf('<div class="container %s">', $content_wide);
					$justification = get_post_meta($id, $section.'_justification', true);
					$vertical_align = get_post_meta($id, $section.'_vertical_align', true);
					$wrap_blocks = get_post_meta($id, $section.'_wrap_inner_blocks', true);
					$wrap_blocks = $wrap_blocks ? true : false;
					$inner_width = get_post_meta($id, $section.'_inner_width', true);
					$media_text_layout = get_post_meta($id, $section.'_media_text_layout', true);
					$media_text_layout = $media_text_layout ? true : false;
					$full_screen_height = get_post_meta($id, $section.'_full_screen_height', true);
					$full_screen_height = $full_screen_height ? 'is-full-screen' : '';

					if($media_text_layout){
						$media_imagep = get_post_meta($id, $section.'_media_bi_imagephoto', true);
						$media_alignment = get_post_meta($id, $section.'_media_bi_alignment', true);
						$media_image_size = get_post_meta($id, $section.'_media_bi_image_size', true);

						$media_imagephoto = wp_get_attachment_image( $media_imagep, $media_image_size, "", array( "class" => "img-bg d-block mx-auto" ) );
						$media_imagephoto_url = wp_get_attachment_image_src( $media_imagep, $media_image_size);
						$media_bg = $media_imagephoto_url[0];

						$media_headlink = get_post_meta($id, $section.'_media_bi_headlink', true);
						$media_link_start = '';
						$media_link_end = '';
						if($media_headlink){
							$url_link_url = $media_headlink['url'];
							$url_link_title = $media_headlink['title'] ? $media_headlink['title'] : '';
							$url_link_target = $media_headlink['target'] ? $media_headlink['target'] : '_self';
							$bi_link_start = '<a href="'.$url_link_url.'" title="'.$url_link_title.'" target="'.$url_link_target.'">';
							$bi_link_end = '</a>';
						}

						$media_fit_column = get_post_meta($id, $section.'_media_fit_column', true);
						$media_fit_column = $media_fit_column ? true : false;

						$media_cls = '';
						$media_cls = $media_alignment === "text-right" ? "has-media flex-row-reverse" : "has-media flex-row";
						$media_cls .= $media_fit_column ? ' is-image-fill' : '';
						$media_bg = $media_fit_column ? 'style="background-image:url('.$media_bg.');"' : '';
						printf('<div class="row %s %s flex-lg-nowrap %s %s">', $justification, $vertical_align, $media_cls, $full_screen_height);
						printf('<div class="wrapper-media position-relative w-100" %s>%s%s%s</div>', $media_bg, $media_headlink, $media_imagephoto, $media_headlink);
					}else{
						printf('<div class="row %s %s %s">', $justification, $vertical_align, $full_screen_height);
					}

						if($wrap_blocks && !$media_text_layout){
							printf('<div class="wrapper-blocks" style="max-width:%dpx;">', $inner_width);
						}elseif(!$wrap_blocks && $media_text_layout){
							printf('<div class="wrapper-blocks"><div class="mx-auto" style="max-width:%dpx;">', $inner_width);
						}elseif($wrap_blocks && $media_text_layout){
							printf('<div class="wrapper-blocks"><div class="mx-auto" style="max-width:%dpx;">', $inner_width);
						}else{

						}

						$blocks = get_post_meta($id, $section.'_blocks', true);
						if( $blocks ):
							for ( $j = 0; $j < count($blocks); $j++ ) {
								$block = $blocks[$j];
								$section_block = $section.'_blocks_'.$j.'_';
								$block_args = array( 'block_key' => $section_block, 'id' => $id);

								switch ( $block ) {
									case 'cta_box':
										get_template_part( 'template-parts/blocks/cta-box', '', $block_args);
										break;
									case 'heading':
										get_template_part( 'template-parts/blocks/heading', '', $block_args);
										break;
									case 'text':
										get_template_part( 'template-parts/blocks/text', '', $block_args);
										break;
									case 'button':
										get_template_part( 'template-parts/blocks/button', '', $block_args);
										break;
									case 'image':
										get_template_part( 'template-parts/blocks/image', '', $block_args);
										break;
									case 'testimonials':
										get_template_part( 'template-parts/blocks/testimonials', '', $block_args);
										break;
									case 'text_slider':
										get_template_part( 'template-parts/blocks/text-slider', '', $block_args);
										break;
									case 'spacer':
										$height = get_post_meta($id, $section_block.'height', true);
										printf('<div class="block-wrapper block-spacer col-lg-12" style="height:%dpx;" aria-hidden="true"></div>', $height);
										break;
								}
							}
						endif;
						if($wrap_blocks && !$media_text_layout){
							printf('</div>', $inner_width);
						}elseif(!$wrap_blocks && $media_text_layout){
							printf('</div></div>', $inner_width);
						}elseif($wrap_blocks && $media_text_layout){
							printf('</div></div>', $inner_width);
						}else{

						}
					printf('%s', '</div>');
				printf('%s', '</div>');
			printf('%s', '</section>');

		}
	endif;
}
?>