<?php
add_action( 'after_setup_theme', 'child_after_setup_theme', 11 );
add_action( 'init', 'child_after_setup_theme', 11 );
function child_after_setup_theme() {
    add_image_size( 'img-banner', 1920, 360, true );
    add_image_size( 'img-thumb1', 400, 590, true );
    add_image_size( 'img-thumb2', 620, 349, true );
    add_image_size( 'img-icon', 120, 100, false );

	unregister_nav_menu('social');
	unregister_nav_menu('footer');
    unregister_nav_menu('expanded');
    unregister_nav_menu('mobile');
}
function child_add_editor_styles() {
    add_editor_style( 'assets/css/editor.css' );
}
add_action( 'init', 'child_add_editor_styles' );

// Filter except length to 35 words.
function child_custom_excerpt_length( $length ) {
    return 40;
}
add_filter( 'excerpt_length', 'child_custom_excerpt_length', 999 );
// Changing excerpt more
function new_excerpt_more($more) {
    global $post;
    return ' <a href="'. get_permalink($post->ID) . '" class="readmorelink">' . '...' . '</a>';
}
add_filter('excerpt_more', 'new_excerpt_more');

add_filter( 'theme_page_templates', 'child_theme_remove_page_template' );
function child_theme_remove_page_template( $page_templates ) {
	unset( $page_templates['templates/template-full-width.php'] );
	unset( $page_templates['templates/template-cover.php'] ); 
	return $page_templates;
}
function admin_css() {
  echo '<link rel="stylesheet" type="text/css" href="'. get_stylesheet_directory_uri() .'/assets/css/admin.css">';
}
add_action( 'admin_enqueue_scripts', 'admin_css' );

// Customize the WordPress Login Page
function child_custom_login() {
    echo '<link rel="stylesheet" type="text/css" href="' . get_bloginfo('stylesheet_directory') . '/assets/css/login.css" />';
    $logo_id = get_theme_mod( 'custom_logo' );
    if($logo_id){
        $logo_meta = wp_get_attachment_metadata( $logo_id, true );
        echo '<style type="text/css" id="login_header">';
        echo '.login h1 a {';
        echo 'background-image: url('.wp_get_attachment_url($logo_id).');';
        echo '</style>';
    }
}
add_action('login_head', 'child_custom_login');

if ( ! function_exists('custom_post_type') ) {

// Register Custom Post Type
function custom_post_type() {

    $labels = array(
        'name'                  => _x( 'Global: Sections', 'Post Type General Name', 'actionhomeapp-child' ),
        'singular_name'         => _x( 'Global: Section', 'Post Type Singular Name', 'actionhomeapp-child' ),
        'menu_name'             => __( 'Global: Sections', 'actionhomeapp-child' ),
        'name_admin_bar'        => __( 'Global: Sections', 'actionhomeapp-child' ),
        'archives'              => __( 'Item Archives', 'actionhomeapp-child' ),
        'attributes'            => __( 'Item Attributes', 'actionhomeapp-child' ),
        'parent_item_colon'     => __( 'Parent Item:', 'actionhomeapp-child' ),
        'all_items'             => __( 'Sections', 'actionhomeapp-child' ),
        'add_new_item'          => __( 'Add New Item', 'actionhomeapp-child' ),
        'add_new'               => __( 'Add New', 'actionhomeapp-child' ),
        'new_item'              => __( 'New Item', 'actionhomeapp-child' ),
        'edit_item'             => __( 'Edit Item', 'actionhomeapp-child' ),
        'update_item'           => __( 'Update Item', 'actionhomeapp-child' ),
        'view_item'             => __( 'View Item', 'actionhomeapp-child' ),
        'view_items'            => __( 'View Items', 'actionhomeapp-child' ),
        'search_items'          => __( 'Search Item', 'actionhomeapp-child' ),
        'not_found'             => __( 'Not found', 'actionhomeapp-child' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'actionhomeapp-child' ),
        'featured_image'        => __( 'Featured Image', 'actionhomeapp-child' ),
        'set_featured_image'    => __( 'Set featured image', 'actionhomeapp-child' ),
        'remove_featured_image' => __( 'Remove featured image', 'actionhomeapp-child' ),
        'use_featured_image'    => __( 'Use as featured image', 'actionhomeapp-child' ),
        'insert_into_item'      => __( 'Insert into item', 'actionhomeapp-child' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'actionhomeapp-child' ),
        'items_list'            => __( 'Items list', 'actionhomeapp-child' ),
        'items_list_navigation' => __( 'Items list navigation', 'actionhomeapp-child' ),
        'filter_items_list'     => __( 'Filter items list', 'actionhomeapp-child' ),
    );
    $args = array(
        'label'                 => __( 'Global: Section', 'actionhomeapp-child' ),
        'description'           => __( 'Post Type Description', 'actionhomeapp-child' ),
        'labels'                => $labels,
        'supports'              => array( 'title' ),
        'hierarchical'          => false,
        'public'                => false,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 60,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => false,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => true,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
    );
    register_post_type( 'global-section', $args );

    $labels2 = array(
        'name'                  => _x( 'Products', 'Post Type General Name', 'text_domain' ),
        'singular_name'         => _x( 'Product', 'Post Type Singular Name', 'text_domain' ),
        'menu_name'             => __( 'Products', 'text_domain' ),
        'name_admin_bar'        => __( 'Products', 'text_domain' ),
        'archives'              => __( 'Item Archives', 'text_domain' ),
        'attributes'            => __( 'Item Attributes', 'text_domain' ),
        'parent_item_colon'     => __( 'Parent Item:', 'text_domain' ),
        'all_items'             => __( 'All Items', 'text_domain' ),
        'add_new_item'          => __( 'Add New Item', 'text_domain' ),
        'add_new'               => __( 'Add New', 'text_domain' ),
        'new_item'              => __( 'New Item', 'text_domain' ),
        'edit_item'             => __( 'Edit Item', 'text_domain' ),
        'update_item'           => __( 'Update Item', 'text_domain' ),
        'view_item'             => __( 'View Item', 'text_domain' ),
        'view_items'            => __( 'View Items', 'text_domain' ),
        'search_items'          => __( 'Search Item', 'text_domain' ),
        'not_found'             => __( 'Not found', 'text_domain' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'text_domain' ),
        'featured_image'        => __( 'Featured Image', 'text_domain' ),
        'set_featured_image'    => __( 'Set featured image', 'text_domain' ),
        'remove_featured_image' => __( 'Remove featured image', 'text_domain' ),
        'use_featured_image'    => __( 'Use as featured image', 'text_domain' ),
        'insert_into_item'      => __( 'Insert into item', 'text_domain' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'text_domain' ),
        'items_list'            => __( 'Items list', 'text_domain' ),
        'items_list_navigation' => __( 'Items list navigation', 'text_domain' ),
        'filter_items_list'     => __( 'Filter items list', 'text_domain' ),
    );
    $args2 = array(
        'label'                 => __( 'Product', 'text_domain' ),
        'description'           => __( 'Post Type Description', 'text_domain' ),
        'labels'                => $labels2,
        'supports'              => array( 'title', 'editor', 'thumbnail' ),
        'taxonomies'            => array( 'Product_cat' ),
        'hierarchical'          => true,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 5,
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,
        'exclude_from_search'   => false,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
    );
    register_post_type( 'Product', $args2 );

    $labels3 = array(
        'name'                       => _x( 'Categories', 'Taxonomy General Name', 'text_domain' ),
        'singular_name'              => _x( 'Category', 'Taxonomy Singular Name', 'text_domain' ),
        'menu_name'                  => __( 'Categories', 'text_domain' ),
        'all_items'                  => __( 'All Items', 'text_domain' ),
        'parent_item'                => __( 'Parent Item', 'text_domain' ),
        'parent_item_colon'          => __( 'Parent Item:', 'text_domain' ),
        'new_item_name'              => __( 'New Item Name', 'text_domain' ),
        'add_new_item'               => __( 'Add New Item', 'text_domain' ),
        'edit_item'                  => __( 'Edit Item', 'text_domain' ),
        'update_item'                => __( 'Update Item', 'text_domain' ),
        'view_item'                  => __( 'View Item', 'text_domain' ),
        'separate_items_with_commas' => __( 'Separate items with commas', 'text_domain' ),
        'add_or_remove_items'        => __( 'Add or remove items', 'text_domain' ),
        'choose_from_most_used'      => __( 'Choose from the most used', 'text_domain' ),
        'popular_items'              => __( 'Popular Items', 'text_domain' ),
        'search_items'               => __( 'Search Items', 'text_domain' ),
        'not_found'                  => __( 'Not Found', 'text_domain' ),
        'no_terms'                   => __( 'No items', 'text_domain' ),
        'items_list'                 => __( 'Items list', 'text_domain' ),
        'items_list_navigation'      => __( 'Items list navigation', 'text_domain' ),
    );
    $args3 = array(
        'labels'                     => $labels3,
        'hierarchical'               => true,
        'public'                     => true,
        'show_ui'                    => true,
        'show_admin_column'          => true,
        'show_in_nav_menus'          => true,
        'show_tagcloud'              => true,
    );
    register_taxonomy( 'product_cat', array( 'product' ), $args3 );

}
add_action( 'init', 'custom_post_type', 0 );

} ?>
