<?php
if( class_exists('acf') ):

	add_shortcode("acf-custom-social-icons", "theme_social");
	function theme_social($atts, $content = null) {
		$display_style = get_option( 'options_display_style');
		$display_style = $display_style ? $display_style : 'icon';

		$color = get_option( 'options_color_social_brands');
		$color = $color ? $color[0] : 'only';

	    $defaults = array(
	        'style' => $display_style,
	        'color' => $color, // not for social brands
	    );
	    extract(shortcode_atts($defaults, $atts));
	    ob_start();
    	printf('<div class="social-icons social-style-%s color-%s">', $style, $color);

    		$social_media = get_option( 'options_social_media');

    		for ( $sm = 0; $sm < $social_media; $sm++ ) { 
    			$name = get_option( 'options_social_media_'.$sm.'_name');
				$social_icon = get_option( 'options_social_media_'.$sm.'_social_icon');
				$link = get_option( 'options_social_media_'.$sm.'_link');
				$link = $link ? $link['url'] : '#';
				printf('<a class="%s" href="%s" target="_blank">
								<span class="icon-%s" aria-hidden="true"></span><span class="screen-reader-text">%s</span>
							</a>', $social_icon, $link, $social_icon, $name);
    		} ?>
		</div>
	    <?php
	    $ret_val = ob_get_contents();
	    ob_end_clean();
	    return $ret_val;
	}
	add_shortcode("acf-address", "theme_address");
	function theme_address($atts, $content = null) {
	    $defaults = array(
	        'class' => 'showtextm', //hidetextm
	    );
	    extract(shortcode_atts($defaults, $atts));
	    ob_start();

	    $href = get_option( 'options_office_address_href')['url'];
	    $loc = get_option( 'options_office_address_text');
	    $icon_map = '<span class="icon icon-map-marker" aria-hidden="true"></span>';

	    printf('<p class="contactinfo-address %s">', $class);
	    	printf('<a href="%s" title="Go to directions" target="_blank">%s<span class="text">%s</span></a>', $href, $icon_map, $loc);
	    printf('%s', '</p>');

	    $ret_val = ob_get_contents();
	    ob_end_clean();
	    return $ret_val;
	}
	add_shortcode("acf-time-sched", "theme_time_sched");
	function theme_time_sched($atts, $content = null) {
	    $defaults = array(
	        'class' => 'showtextm', //hidetextm
	    ); 
	    extract(shortcode_atts($defaults, $atts));
	    ob_start();

	    $sched = get_option( 'options_time_schedule');
	    $icon_clock = '<span class="icon icon-clock-o" aria-hidden="true"></span>';

	    printf('<p class="contactinfo-sched nolink %s">%s<span class="text">%s</span></p>', $class, $icon_clock, $sched);

	    $ret_val = ob_get_contents();
	    ob_end_clean();
	    return $ret_val;
	}
	add_shortcode("acf-phone", "theme_phone");
	function theme_phone($atts, $content = null) {
	    $defaults = array(
	        'class' => 'showtextm', //hidetextm
	    ); 
	    extract(shortcode_atts($defaults, $atts));
	    ob_start();

	    $href = get_option( 'options_phone_number_href')['url'];
	    $num = get_option( 'options_phone_number_label');
	    $icon_phone = '<span class="icon icon-phone" aria-hidden="true"></span>';

	    printf('<p class="contactinfo-phone %s">', $class);
	    	printf('<a href="%s" title="Contact Mobile">%s<span class="text">%s</span></a>', $href, $icon_phone, $num);
	    printf('%s', '</p>');

	    $ret_val = ob_get_contents();
	    ob_end_clean();
	    return $ret_val;
	}
	add_shortcode("acf-email", "theme_email");
	function theme_email($atts, $content = null) {
	    $defaults = array(
	        'class' => 'showtextm', //hidetextm
	    );
	    extract(shortcode_atts($defaults, $atts));
	    ob_start();

	    $email = get_option( 'options_email_address');
	    $icon_email = '<span class="icon icon-envelope" aria-hidden="true"></span>';

	    printf('<p class="contactinfo-email %s">', $class);
	    	printf('<a href="mailto:%s" title="Send an email">%s<span class="text">%s</span></a>', $email, $icon_email, $email);
	    printf('%s', '</p>');

	    $ret_val = ob_get_contents();
	    ob_end_clean();
	    return $ret_val;
	}

endif;  ?>