<?php
$number_of_posts_displayed = get_sub_field('number_of_posts_displayed') ? get_sub_field('number_of_posts_displayed') : 3;
$display_layout = get_sub_field('display_layout') === 'grid' ? 'block-recent-posts-grid' : 'block-recent-posts-alternative';
$picls = get_sub_field('display_layout') === 'grid' ? 'col-lg-4 col-sm-6 mb-5' : 'col-lg-12'; ?>
<div class="block block-recent-posts <?php echo $display_layout; ?> wow fadeIn row justify-content-center">
	<?php
	wp_reset_postdata();
	$the_query = new WP_Query( array(
		'post_type' => 'post',
		'post_status' => 'publish',
		'order' => 'DESC',
		'posts_per_page' => $number_of_posts_displayed
	) ); 
	if ( $the_query->have_posts() ) { 
		while ( $the_query->have_posts() ) { $the_query->the_post(); ?>
			<div class="post-item <?php echo $picls; ?>">
				<div class="item-inner position-relative clearfix">
					<?php 
					if(has_post_thumbnail()): ?>
						<div class="item-img position-relative mb-5">
							<a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>"><?php the_post_thumbnail( 'medium' ); ?></a>
						</div>
					<?php
					else: ?>
						<div class="item-img position-relative mb-5">
							<span class="screen-reader-text">No Thumbnail</span>
						</div>
						<?php
					endif; ?>
					<div class="item-caption">
						<h4 class="mb-3"><a href="<?php echo get_permalink(); ?>" title="<?php echo get_the_title(); ?>">
							<span><?php echo get_the_title(); ?></span>
						</a></h4>
						<?php the_excerpt(); ?>
					</div>
				</div>
			</div>
			<?php
		}
		wp_reset_postdata();
	} ?>
</div>