<?php
/**
 * Displays the menus and widgets at the end of the main element.
 * Visually, this output is presented as part of the footer element.
 *
 * @package WordPress
 * @subpackage Twenty_Twenty
 * @since Twenty Twenty 1.0
 */ 

$has_sidebar_1 = is_active_sidebar( 'footer-1' );
$has_sidebar_2 = is_active_sidebar( 'footer-2' );
$has_sidebar_3 = is_active_sidebar( 'footer-3' );
$has_sidebar_4 = is_active_sidebar( 'footer-4' );
$has_sidebar_5 = is_active_sidebar( 'footer-5' );

?>
<div class="footer-nav-widgets-wrapper header-footer-group">

	<?php
	do_action('content-row-sections', 'option'); ?>

		<?php 
		if ( $has_sidebar_1 || $has_sidebar_2 || $has_sidebar_3 || $has_sidebar_4) { ?>

			<aside class="footer-widgets-outer-wrapper sec-footer-widgets py-5 border-top" role="complementary">
				<div class="section-inner pt-5 pb-4">
					<div class="foot-widgets row d-flex justify-content-center justify-content-sm-between text-left text-sm-left">
						<div class="foot-widget foot-widget-1 px-4 pt-lg-5 mb-5 d-sm-flex text-center text-lg-left">
							<div class="foot-widget mr-sm-5"><?php dynamic_sidebar( 'footer-1' ); ?></div>
							<div class="foot-widget"><?php dynamic_sidebar( 'footer-2' ); ?></div>
						</div>
						<div class="foot-widget foot-widget-3 px-4 pt-lg-5 mb-5"><?php dynamic_sidebar( 'footer-3' ); ?></div>
						<div class="foot-widget foot-widget-4 px-4 pt-lg-5 mb-5"><?php dynamic_sidebar( 'footer-4' ); ?></div>
					</div>
				</div>
			</aside>
			
		<?php } ?>

</div><!-- .footer-nav-widgets-wrapper -->

